package com.qmth.teachcloud.common.bean.params;

import com.qmth.teachcloud.common.enums.userPush.BeforeJudgeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Set;

/**
 * @Description: 推送前用户角色权限判断参数
 * @Author: CaoZixuan
 * @Date: 2021-10-30
 */
public class PushBeforeRoleParam {
    @ApiModelProperty(value = "更新前用户角色idSet")
    private Set<Long> roleIdSet;

    @ApiModelProperty(value = "更新前后对比策略枚举")
    private BeforeJudgeEnum beforeJudgeEnum;

    public PushBeforeRoleParam(Set<Long> roleIdSet, BeforeJudgeEnum beforeJudgeEnum) {
        this.roleIdSet = roleIdSet;
        this.beforeJudgeEnum = beforeJudgeEnum;
    }

    public PushBeforeRoleParam() {
    }

    public Set<Long> getRoleIdSet() {
        return roleIdSet;
    }

    public void setRoleIdSet(Set<Long> roleIdSet) {
        this.roleIdSet = roleIdSet;
    }

    public BeforeJudgeEnum getBeforeJudgeEnum() {
        return beforeJudgeEnum;
    }

    public void setBeforeJudgeEnum(BeforeJudgeEnum beforeJudgeEnum) {
        this.beforeJudgeEnum = beforeJudgeEnum;
    }
}
